intel-ipsec-mb v2.0 Documentation of the Intel(R) IPSec Multi-Buffer library |

Loading...
Searching...
No Matches
Data Fields
chacha20_poly1305_context_data Struct Reference

holds Chacha20-Poly1305 operation context More...

`#include <intel-ipsec-mb.h>`

## Data Fields
uint64_t | hash [3]
uint64_t | aad_len
uint64_t | hash_len
uint8_t | last_ks [64]
uint8_t | poly_key [IMB_CHACHA20_POLY1305_KEY_SIZE]
uint8_t | poly_scratch [IMB_POLY1305_BLOCK_SIZE]
uint64_t | last_block_count
uint64_t | remain_ks_bytes
uint64_t | remain_ct_bytes
uint8_t | IV [IMB_CHACHA20_POLY1305_IV_SIZE]

## Detailed Description

holds Chacha20-Poly1305 operation context

## Field Documentation

## ◆ aad_len

uint64_t chacha20_poly1305_context_data::aad_len

Total AAD length

## ◆ hash

uint64_t chacha20_poly1305_context_data::hash[3]

Intermediate computation of hash value

## ◆ hash_len

uint64_t chacha20_poly1305_context_data::hash_len

Total length to digest (excluding AAD)

## ◆ IV

uint8_t chacha20_poly1305_context_data::IV[IMB_CHACHA20_POLY1305_IV_SIZE]

IV (12 bytes)

## ◆ last_block_count

uint64_t chacha20_poly1305_context_data::last_block_count

Last block count used in last segment

## ◆ last_ks

uint8_t chacha20_poly1305_context_data::last_ks[64]

Last 64 bytes of KS

## ◆ poly_key

uint8_t chacha20_poly1305_context_data::poly_key[IMB_CHACHA20_POLY1305_KEY_SIZE]

Poly key

## ◆ poly_scratch

uint8_t chacha20_poly1305_context_data::poly_scratch[IMB_POLY1305_BLOCK_SIZE]

Scratchpad to compute Poly on 16 bytes

## ◆ remain_ct_bytes

uint64_t chacha20_poly1305_context_data::remain_ct_bytes

Amount of ciphertext bytes still to use of previous segment to authenticate (up to 16 bytes)

## ◆ remain_ks_bytes

uint64_t chacha20_poly1305_context_data::remain_ks_bytes

Amount of bytes still to use of keystream (up to 63 bytes)

The documentation for this struct was generated from the following file:

- intel-ipsec-mb.h